[RISU,v6,09/10] new: record_traces.sh helper script

Message ID 20170621154244.28309-10-alex.bennee@linaro.org
State New
Headers show
Series
  • Record/replay patches
Related show

Commit Message

Alex Bennée June 21, 2017, 3:42 p.m.
A simple script to run through a bunch of binaries and generate their
trace files.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>


---
v6
  - moved into contrib/
v5
  - author, license and usage header
v3
  - allow overriding of RISU binary
---
 contrib/record_traces.sh | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100755 contrib/record_traces.sh

-- 
2.13.0

Patch hide | download patch | download mbox

diff --git a/contrib/record_traces.sh b/contrib/record_traces.sh
new file mode 100755
index 0000000..1234a61
--- /dev/null
+++ b/contrib/record_traces.sh
@@ -0,0 +1,32 @@ 
+#!/bin/sh
+#
+# A risu helper script to batch process a bunch of binaries and record their outputs
+#
+# Copyright (c) 2017 Linaro Limited
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+#     Alex Bennée <alex.bennee@linaro.org> - initial implementation
+#
+# Usage:
+#   export RISU=/path/to/risu
+#   ./record_traces.sh  ./testcases.aarch64/*.bin
+#
+
+set -e
+
+if test -z "$RISU"; then
+    script_dir=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd -P)
+    RISU=${script_dir}/risu
+fi
+
+for f in $@; do
+    echo "Running risu against $f"
+    t="$f.trace"
+    ${RISU} --master $f -t $t
+    echo "Checking trace file OK"
+    ${RISU} $f -t $t
+done